Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint
Interface MemberSignature

All Superinterfaces:
  Serializable, Signature

All Known Subinterfaces:
  CodeSignature, ConstructorSignature, FieldSignature, MethodSignature

All Known Implementing Classes:
  ConstructorSignatureImpl, FieldSignatureImpl, MethodSignatureImpl

    public interface MemberSignature

extends Signature

Interface for the member signatures (method, constructor and field).

Author:
  Jonas Bonr

Method Summary
`Annotation` | `getAnnotation(String annotationName)` Return the annotation with a specific name.
`List` | `getAnnotationInfos()` Return all the annotations Each annotation is wrapped in `AnnotationInfo`instance.
`List` | `getAnnotations(String annotationName)` Return a list with the annotations with a specific name.

Methods inherited from interface org.codehaus.aspectwerkz.joinpoint.Signature
`getDeclaringType, getModifiers, getName`

Method Detail

### getAnnotation

    Annotation getAnnotation(String annotationName)

  Return the annotation with a specific name.

  Parameters:
    `annotationName` - the annotation name
  Returns:
    the annotation or null

### getAnnotations

    List getAnnotations(String annotationName)

  Return a list with the annotations with a specific name.

  Parameters:
    `annotationName` - the annotation name
  Returns:
    the annotations in a list (can be empty)

### getAnnotationInfos

    List getAnnotationInfos()

  Return all the annotations

  Each annotation is wrapped in `AnnotationInfo`instance.

  Returns:
    a list with the annotations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.